// components/newCell/newCell.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Object,
      value: {},
    },
    isHistory: {
      type: Boolean,
      value: false,
    },
    historyObj: {
      type: Object,
      value: {},
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    historyObj: {},
    isLook: false,
  },
  /**
   * 组件的方法列表
   */
  methods: {
    handleCellAction() {
      const _this = this;
      const { id } = this.properties.data;
      wx.navigateTo({
        url: `/pages/newDetail/newDetail?newId=${id}`,
        success() {
          _this.setData({
            isLook: true,
          });
        },
      });
    },
  },
});
